<h1>Binding</h1>

<div class="container">

  <button [disabled]="!enableAddUser" class="btn btn-block mb-3" [ngClass]="currentClasses">Add New Person</button>
<!--  ngClass - allows us to bind one or more css classes to any element -->


  <ul class="list-unstyled">
    <li class="card card-body mb-3" *ngFor="let character of characters" [class.bg-info]="character.isActive">

      <div class="row">

        <div class="col-sm-4">
<!--          Bind our Image -->
          <img class="img-fluid" [src]="character.img" alt="">

<!--          Alternate Ways to Bind -->
<!--          <img class="img-fluid" src="{{ character.img }}" alt="">-->
<!--          <img class="img-fluid" bind-src="character.img" alt="">-->

        </div>
        <div class="col-sm-8">
          <h1 [ngStyle]="currentStyle"> {{ character.persona | uppercase }} </h1>
          <h3 [ngStyle]="currentStyle"> {{ character.firstName }} {{ character.lastName }} </h3>
          <ul class="list-group">
            <li class="list-group-item">Age: {{ character.age }} </li>
            <li class="list-group-item">Address: {{ character.address.street }}, {{ character.address.city }}, {{ character.address.state }} </li>
              <li *ngIf="character.balance" class="list-group-item">Balance: {{ character.balance | currency:"JPY" }} </li>
              <li *ngIf="character.memberSince" class="list-group-item">Member Since: {{ character.memberSince | date:'MM/dd/yyyy' }} </li>
<!--              <li *ngIf="character.memberSince" class="list-group-item">Member Since: {{ character.memberSince | date:'yyyy' }} </li>-->
<!--              <li *ngIf="character.memberSince" class="list-group-item">Member Since: {{ character.memberSince | date:'shortDate' }} </li>-->
            <!--            MM is months, mm is minutes-->

<!--            an element disabled to binding data-->
            <li *ngIf="character.memberSince" ngNonBindable class="list-group-item"> Member Since: {{ character.memberSince }} </li>

            <li class="list-group-item" ngNonBindable>
              <pre> {{ 5 | number:"1.2" }} </pre>
            </li>
          </ul>
        </div>

      </div>


    </li>
  </ul>
</div>
